## kalarm 22.08.1

=== debian/changelog ===
kalarm (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:36:47 +0100

kalarm (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update lintian overrides

  [ Rik Mills ]
  * New upstream release (22.08.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:46:59 +0100

kalarm (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:24:21 +0100

kalarm (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:58:07 +0100

kalarm (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:55:09 +0100

kalarm (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update lintian overrides.
  * Drop obsolete libkf5alarmcalendar-dev build depend.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:44:41 +0100
