=== src/pixmaps/CMakeLists.txt ===
ecm_install_icons(
    ICONS
    16-actions-document-new-from-template.png
    16-actions-new-command-alarm.png
    22-actions-kalarm-disabled.png
    22-actions-kalarm.png
    22-actions-new-command-alarm.png
    16-actions-new-audio-alarm.png
    22-actions-document-new-from-template.png
    22-actions-kalarm-partdisabled.png
    22-actions-new-audio-alarm.png
    DESTINATION ${KDE_INSTALL_DATADIR}/kalarm/icons
    THEME oxygen)
